Eclipse Rich Ajax Platform

## org.eclipse.rwt.service
Interface SettingStoreListener

    public interface SettingStoreListener

Setting store listeners are notified by an `ISettingStore`, when an attribute inside the store has been changed (i.e. added, modified, removed).

Since:
  1.1
See Also:
  `ISettingStore.addSettingStoreListener(SettingStoreListener)`, `

  `

Method Summary
`void` `settingChanged(SettingStoreEvent event)` This method is invoked by the setting store, when an attribute inside the store has been changed (i.e.

Method Detail

### settingChanged

    void settingChanged(SettingStoreEvent event)

  This method is invoked by the setting store, when an attribute inside the store has been changed (i.e. added, modified, removed).

  Parameters:
    `event` - a non-null `SettingStoreEvent` instance with specific information about the change

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.